List the realm's API clients
curl --request GET \
--url https://api.identity.v2.portao3.com.br/realms/{realmId}/appclientsimport requests
url = "https://api.identity.v2.portao3.com.br/realms/{realmId}/appclients"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.identity.v2.portao3.com.br/realms/{realmId}/appclients', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.identity.v2.portao3.com.br/realms/{realmId}/appclients",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.identity.v2.portao3.com.br/realms/{realmId}/appclients"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.identity.v2.portao3.com.br/realms/{realmId}/appclients")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.identity.v2.portao3.com.br/realms/{realmId}/appclients")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"next": "NmEzZjljMjFlNGIwN2Q1YThjMTJmM2U5",
"items": [
{
"id": "43230779-2cfb-4525-a40c-77fbf15e68f0",
"clientId": "prod-client-v2",
"description": "ERP Integration",
"realm": "f495ff0c-ab54-4f99-8e92-ca8682e4de9b",
"organizations": [
{
"id": "c4bd3f21-dfbd-44e8-8055-68ba15bed410",
"level": "ADMIN"
}
],
"status": "ACTIVE",
"createdAt": "2026-10-13T18:43:50.746Z",
"updatedAt": "2026-10-13T18:43:50.746Z",
"createdBy": "f1235202-71e0-49ef-a8ba-939b8d3ec945",
"updatedBy": "f1235202-71e0-49ef-a8ba-939b8d3ec945"
}
]
}{
"traceId": "1-68ee2a1b-3c4d5e6f7a8b9c0d1e2f3a4b",
"code": "BAD_REQUEST",
"origin": "IDENTITY",
"message": "Bad Request: Your request is invalid or incomplete. Please make sure you are requesting with the right fields.",
"fields": [
{
"field": "limit",
"message": "Too small: expected number to be >=1",
"code": "LIMIT_MIN"
}
]
}List the realm's API clients
Lists the API clients of your realm across all of its organizations, including deactivated ones, newest first by default.
GET
/
realms
/
{realmId}
/
appclients
List the realm's API clients
curl --request GET \
--url https://api.identity.v2.portao3.com.br/realms/{realmId}/appclientsimport requests
url = "https://api.identity.v2.portao3.com.br/realms/{realmId}/appclients"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.identity.v2.portao3.com.br/realms/{realmId}/appclients', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.identity.v2.portao3.com.br/realms/{realmId}/appclients",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.identity.v2.portao3.com.br/realms/{realmId}/appclients"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.identity.v2.portao3.com.br/realms/{realmId}/appclients")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.identity.v2.portao3.com.br/realms/{realmId}/appclients")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"next": "NmEzZjljMjFlNGIwN2Q1YThjMTJmM2U5",
"items": [
{
"id": "43230779-2cfb-4525-a40c-77fbf15e68f0",
"clientId": "prod-client-v2",
"description": "ERP Integration",
"realm": "f495ff0c-ab54-4f99-8e92-ca8682e4de9b",
"organizations": [
{
"id": "c4bd3f21-dfbd-44e8-8055-68ba15bed410",
"level": "ADMIN"
}
],
"status": "ACTIVE",
"createdAt": "2026-10-13T18:43:50.746Z",
"updatedAt": "2026-10-13T18:43:50.746Z",
"createdBy": "f1235202-71e0-49ef-a8ba-939b8d3ec945",
"updatedBy": "f1235202-71e0-49ef-a8ba-939b8d3ec945"
}
]
}{
"traceId": "1-68ee2a1b-3c4d5e6f7a8b9c0d1e2f3a4b",
"code": "BAD_REQUEST",
"origin": "IDENTITY",
"message": "Bad Request: Your request is invalid or incomplete. Please make sure you are requesting with the right fields.",
"fields": [
{
"field": "limit",
"message": "Too small: expected number to be >=1",
"code": "LIMIT_MIN"
}
]
}Path Parameters
ID of your realm.
Format: UUID
Query Parameters
Cursor returned as next by the previous page. Omit for the first page.
Page size.
Required range:
x >= 1Sort direction by creation date (case-insensitive): DESC newest first, ASC oldest first.
Available options:
ASC, DESC